/**
 * ### Описание объекта сигнала
 * Важно понимать, что такой объект существует только в документации,
 *
 * @example
 * //Пример:
 * // В данном примере я не буду рассматривать полную цепочку получения МВН (т.к. это описано выше).
 * // Как пользоваться этим сигналом?
 *
 * // Вот так происходит добавление обработчика на этот сигнал.
 * // dispatcher объявлен в глобальной области видимости
 * // slot_node_remove - это идентификатор, по которому нужно будет отписаться от обработчика
 * var slot_node_remove = dispatcher.add_slot(node.cm.s_node_remove, function(event){
 *     // в переменной event всегда будет лежать объект и содержать поле node_id
 *     // таким образом мы получили идентификатор ноды, которая была удалена.
 *     var node_id = event.node_id;
 * });
 *
 * // Отписка производится подобным образом
 * dispatcher.remove_slot(node.cm.s_node_remove, slot_node_remove);
 *
 * @class node_children_remove
 * @memberof signals
 */
signals.node_children_remove =  {
    /**
     *
     * @public
     * @name node_id
     * @type {v2.integer}
     * @memberof signals.node_children_remove
     */
    node_id: new v2.integer(0,0)
};

/**
 * ### Описание объекта сигнала
 * Важно понимать, что такой объект существует только в документации,
 *
 * @example
 * //Пример:
 * // В данном примере я не буду рассматривать полную цепочку получения МВН (т.к. это описано выше).
 * // Как пользоваться этим сигналом?
 *
 * // Вот так происходит добавление обработчика на этот сигнал.
 * // dispatcher объявлен в глобальной области видимости
 * // slot_node_add - это идентификатор, по которому нужно будет отписаться от обработчика
 * var slot_node_add = dispatcher.add_slot(node.cm.s_node_add, function(event){
 *     // в переменной event всегда будет лежать объект и содержать поле node_id
 *     // таким образом мы получили идентификатор ноды, которая была добавлена.
 *     var node_id = event.node_id;
 * });
 *
 * // Отписка производится подобным образом
 * dispatcher.remove_slot(node.cm.s_node_add, slot_node_add);
 *
 * @class node_children_add
 * @memberof signals
 */
signals.node_children_add =  {
    /**
     *
     * @public
     * @name node_id
     * @type {v2.integer}
     * @memberof signals.node_children_add
     */
    node_id: new v2.integer(0,0)
};